#!/bin/bash
#
# Compile GNU JAXP using GCJ
#
# Also copies JAXP service property files, which specify
# the parser class implementations.
#
# Created:  2004-10-18
# Issued:   2004-10-18
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

echo ""
echo "Cleaning build directory..."

rm -rf $mk_build/jaxp

echo ""
echo "Preparing build directory..."

mkdir -p $mk_build/jaxp


# DOM and SAX packages have no dependencies, compile first
###########################################################
echo ""
echo "Compiling DOM and SAX packages..."

$mk_bin/util/source-list.sh $mk_home/lib-src/jaxp/org jaxp-org

gcj -classpath $mk_build/jaxp -C -d $mk_build/jaxp @$mk_bin/util/jaxp-org-src.txt


# GNU XML and Java XML extension packages are co-dependent
#
# Native dependencies are excluded by selective wildcards
# source path below and the exclusion of the
# gnu.xml.libxmlj package and the
# gnu.xml.dom.ImplementationSource class.
#
###########################################################
echo ""
echo "Compiling GNU XML parser and Java XML extension packages..."

gcj -classpath $mk_build/jaxp -C -d $mk_build/jaxp $mk_home/lib-src/jaxp/gnu/xml/aelfred2/*.java $mk_home/lib-src/jaxp/gnu/xml/pipeline/*.java $mk_home/lib-src/jaxp/gnu/xml/util/*.java $mk_home/lib-src/jaxp/gnu/xml/dom/Dom*.java $mk_home/lib-src/jaxp/gnu/xml/dom/DTD*.java $mk_home/lib-src/jaxp/gnu/xml/dom/Con*.java $mk_home/lib-src/jaxp/gnu/xml/dom/JAXP*.java $mk_home/lib-src/jaxp/gnu/xml/dom/ImplementationList.java $mk_home/lib-src/jaxp/gnu/xml/dom/ls/*.java $mk_home/lib-src/jaxp/gnu/xml/transform/*.java $mk_home/lib-src/jaxp/gnu/xml/xpath/*.java $mk_home/lib-src/jaxp/javax/xml/*.java $mk_home/lib-src/jaxp/javax/xml/**/*.java $mk_home/lib-src/jaxp/javax/xml/transform/**/*.java


# Prepare the service property directory
###########################################################

echo ""
echo "Creating a JAXP service property directory..."

mkdir -p $mk_build/jaxp/META-INF/services

echo ""
echo "Copying the JAXP service properties file..."

cp $mk_home/lib-src/jaxp/META-INF/services/* $mk_build/jaxp/META-INF/services

echo ""
echo "GNU JAXP 1.3 compiled to $mk_build/jaxp"
