package net.javacoding.jspider.core.util.http;


import net.javacoding.jspider.api.model.Cookie;

import java.net.URLConnection;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.Set;
import java.util.StringTokenizer;


/**
 *
 * $Id: CookieUtil.java,v 1.8 2003/04/08 18:44:15 vanrogu Exp $
 *
 * @author Gnther Van Roey
 */
public class CookieUtil {

    public static final String HEADER_SET_COOKIE = "Set-Cookie";

    public Cookie[] getCookies(URLConnection connection) {

        String[] cookieStrings = getCookieStrings(connection);
        return getCookies(cookieStrings);
    }

    protected String[] getCookieStrings(URLConnection connection) {

        ArrayList arrayList = new ArrayList();

        String headerKey = null;

        Object objectValue = null;

        String headerValue = null;

        Map keyMap = connection.getHeaderFields();

        Set keySet = keyMap.keySet();

        Iterator keys = keySet.iterator();

        List valueList = null;

        ListIterator values = null;

        while (keys.hasNext()) {

            headerKey = (String) keys.next();

            if (HEADER_SET_COOKIE.equalsIgnoreCase(headerKey)) {

                valueList = (List) keyMap.get(headerKey);

                values = valueList.listIterator();

                while (values.hasNext()) {

                    objectValue = values.next();

                    if (objectValue != null) {

                        headerValue = (String) objectValue;

                        arrayList.add(headerValue.trim());
                    }
                    else {

                        arrayList.add(null);
                    }
                }
            }
        }

        return (String[]) arrayList.toArray(new String[arrayList.size()]);
    }

    protected Cookie[] getCookies(String[] cookieString) {
        Cookie[] cookies = new Cookie[cookieString.length];
        int used = 0;

        for (int i = 0; i < cookieString.length; i++) {
            String s = cookieString[i];
            Cookie cookie = getCookie(s);
            if (cookie != null) {
                cookies[used++] = cookie;
            }
        }
        Cookie[] retVal = new Cookie[used];
        System.arraycopy(cookies, 0, retVal, 0, used);
        return retVal;
    }

    public Cookie getCookie(String cookieString) {
        Cookie cookie = null;
        if (cookieString != null && !cookieString.trim().equals("")) {
            StringTokenizer st = new StringTokenizer(cookieString, ";");

            String name = "";
            String value = "";
            String domain = "";
            String path = "";
            String expires = "";

            // First part of a cookie string is name=value; ...
            while (st.hasMoreTokens()) {
                String token = st.nextToken();
                StringTokenizer st2 = new StringTokenizer(token, "=");
                if (st2.hasMoreTokens()) {
                    String propName = st2.nextToken().trim();
                    if (st2.hasMoreTokens()) {
                        String propValue = st2.nextToken().trim();
                        if ("value".equalsIgnoreCase(propName)) {
                            value = propValue;
                        } else if ("domain".equalsIgnoreCase(propName)) {
                            domain = propValue;
                        } else if ("path".equalsIgnoreCase(propName)) {
                            path = propValue;
                        } else if ("expires".equalsIgnoreCase(propName)) {
                            expires = propValue;
                        } else {
                            name = propName;
                            value = propValue;
                        }
                    }
                }
            }
            cookie = new Cookie(name, value, domain, path, expires);
        }
        return cookie;
    }

}
