<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-GB" dir="ltr">
  <head  profile="http://dublincore.org/documents/dcq-html/">
    <title>
      MKSearch: Query syntax
    </title>
    <!-- JSP directives parsed out
      <%@ taglib uri="http://www.mksearch.mkdoc.org/uri/taglib" prefix="mk" %>
      <%@ page contentType="text/html; charset=UTF-8" %>
      <%@ page session="false" %>
    -->
    <link rel="stylesheet" type="text/css" href="./styles/MKSearch.css" title="Standard" />
    <meta name="DCTERMS.created" scheme="DCTERMS.W3CDTF" content="2005-07-28" />
    <meta name="DCTERMS.issued" scheme="DCTERMS.W3CDTF" content="2005-07-28" />
    <meta name="DCTERMS.modified" scheme="DCTERMS.W3CDTF" content="2005-10-13" />
    <meta name="DCTERMS.abstract" content="MKSearch help page." />
  </head>
  <body>
    <h1>
      MKSearch query syntax
    </h1>
    <p class="Intro">
      This page explains the details of the MKSearch query syntax. The basic features are the same as standard search engines, but the combination of terms and advanced features may not follow expectations.
    </p>
    <h2>
      Contents
    </h2>
    <ul>
      <li>
        <a href="#literal">Literal searches</a>
        <ul>
          <li>
            <a href="#definition-word">What is a word?</a>
          </li>
          <li>
            <a href="#definition-phrase">What is a phrase?</a>
          </li>
          <li>
            <a href="#definition-term">What is a query term?</a>
          </li>
        </ul>
      </li>
      <li>
        <a href="#wildcard">Wildcard searches</a>
        <ul>
          <li>
            <a href="#wildcard-before">Wildcard before</a>
          </li>
          <li>
            <a href="#wildcard-after">Wildcard after</a>
          </li>
          <li>
            <a href="#wildcard-surround">Wildcard before and after</a>
          </li>
          <li>
            <a href="#wildcard-phrases">Wildcard phrases</a>
          </li>
          <li>
            <a href="#wildcard-combined">Combined wildcard searches</a>
          </li>
        </ul>
      </li>
    </ul>
    <h2>
      <a name="literal" id="literal">Literal searches</a>
    </h2>
    <h3>
      <a name="definition-word" id="definition-word">What is a word?</a>
    </h3>
    <p>
      MKSearch identifies any group of characters with spaces either side as a word. Extra spaces at the start and end of of words are ignored. Word searches are typically used to <strong>narrow</strong> searches because the word must match exactly.
    </p>
    <h4>
      Examples
    </h4>
    <ul>
      <li>
        If you enter a <strong>single word</strong> in a search field, MKSearch will look for documents that have that word alone in the relevant metadata field. A subject search for <code>cat</code> will match only documents whose subject metadata is exactly &quot;cat&quot;. This would <em>not</em> match a phrase that included the word, such as &quot;the cat sat on the mat&quot;.
      </li>
      <li>
        If you enter <strong>multiple words</strong> in a search field, MKSearch will look for documents that have any of those words alone in the relevant metadata field. A subject search for <code>cat dog</code> will match only documents whose subject metadata is <em>either</em> &quot;cat&quot; <em>or</em> &quot;dog&quot;. This would <em>not</em> match a phrase that included either word, such as &quot;fought like cat and dog&quot;.
      </li>
    </ul>
    <p>
      Multiple word searches can make a search <strong>wider</strong> because there is a better chance of matching a number of alternative words.
    </p>
    <h3>
      <a name="definition-phrase" id="definition-phrase">What is a phrase?</a>
    </h3>
    <p>
      A series of words separated by spaces are normally treated as alternatives. A series of words enclosed in double quotes is treated as a phrase, which must be matched as a whole.
    </p>
    <h4>
      Examples
    </h4>
    <ul>
      <li>
        If you enter a <strong>single phrase</strong> in a search field, MKSearch will look for documents that match the whole phrase in the relevant metadata field. A subject search for   <code>&quot;cat litter&quot;</code> would only match the exact phrase &quot;cat litter&quot;, not &quot;cat litter tray&quot;, &quot;use cat litter&quot;, &quot;cat&quot; or &quot;litter&quot;.
      </li>
      <li>
        If you enter <strong>multiple phrases</strong> in a search field, MKSearch will look for documents that contain one phrase or the other in the relevant metadata field. The system will not combine or split up the individual words in the phrases.
      </li>
    </ul>
    <h3>
      <a name="definition-term" id="definition-term">What is a query term?</a>
    </h3>
    <p>
      A query term is an individual word or phrase that is part of a query. Words and phrases can be combined in an MKSearch query, so we can talk about them collectively as query terms.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
        If you enter <strong>mixed search terms</strong>, a word and a phrase, MKSearch will look for documents that match the word <em>or</em> the phrase. A subject search for <code>cat &quot;litter tray&quot;</code> would only match documents whose metadata contained either &quot;cat&quot; <em>or</em> &quot;litter tray&quot;, <em>not</em> &quot;cat litter tray&quot;.
      </li>
    </ul>
    <h2>
      <a name="wildcard" id="wildcard">Wildcard searches</a>
    </h2>
    <p>
      Wildcard searches use the asterisk character, *, to stand in place of one or more letters where it does not matter what those letters should be. Wildcard searches are typically used to make a search <strong>wider</strong>, because they match a greater number of possibilities, such as variable word endings. The wildcard schemes described below can be applied to multiple query terms.
    </p>
    <h3>
      <a name="wildcard-before" id="wildcard-before">Wildcard before</a>
    </h3>
    <p>
      A word with an asterisk before it is interpreted as the end of a phrase, or the suffix to a single word, where any number of characters may be matched before it, but not after it.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
        The query <code>*cat</code> would match &quot;cat&quot;, &quot;senses of a cat&quot; and &quot;polecat&quot;, but not &quot;cats&quot; or &quot;fought like cat and dog&quot;.
      </li>
    </ul>
    <h3>
      <a name="wildcard-after" id="wildcard-after">Wildcard after</a>
    </h3>
    <p>
      A word with an asterisk after it is interpreted as the start of a phrase, or the prefix to a single word, where any number of characters may be matched after it, but not before it.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
        The query <code>cat*</code> would match &quot;cat&quot;, &quot;cats&quot; and &quot;cats and dogs&quot;, but not &quot;polecat&quot; or  &quot;senses of a cat&quot;.
      </li>
    </ul>
    <h3>
      <a name="wildcard-surround" id="wildcard-surround">Wildcard before and after</a>
    </h3>
    <p>
      A word with an asterisk before and after it is interpreted as the middle of a phrase, or part of a compound word, where any number of characters may be matched before and after it.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
        The query <code>*cat*</code> would match &quot;cat&quot;, &quot;cats&quot;, &quot;cats and dogs&quot;, &quot;polecat&quot; and &quot;senses of a cat&quot;.
      </li>
    </ul>
    <h3>
      <a name="wildcard-phrases" id="wildcard-phrases">Wildcard phrases</a>
    </h3>
    <p>
      Quoted phrases can also be include wildcard asterisks at the beginning and end of the phrase.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
         The query &quot;*cat litter&quot; would match &quot;use cat litter&quot; and &quot;buy cat litter&quot;.
      </li>
    </ul>
    <h3>
      <a name="wildcard-combined" id="wildcard-combined">Combined wildcard searches</a>
    </h3>
    <p>
      Wildcard terms can also be combined as alternatives.
    </p>
    <h4>
      Example
    </h4>
    <ul>
      <li>
        The query <code>*cat* *dog*</code>, without quotes, would match &quot;fought like cat and dog&quot;, &quot;I like cats&quot; and &quot;I like dogs&quot;.
      </li>
    </ul>

<ul class="GlobalNavigation">
  <li>
    <a href="./index.jsp">Home</a>
  </li>
  <li>
    <a href="./Syntax.jsp">Query Syntax</a>
  </li>
  <li>
    <a href="./Help.jsp">Help</a>
  </li>
</ul>

  </body>
</html>
