package com.mkdoc.sax;

/*
    Created:    2005-02-14
    Issued:     2005-02-14
    Modified:   2005-02-15

    Author:     Philip Shaw <phil@mkdoc.com>
    Copyright:  (c) 2005 MKDoc Ltd.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
*/

/**
 *  An interface for integrating specialised content handlers.
 *  @version    0.1 2005-02-14
 *  @author     Philip Shaw <phil@mkdoc.com>
 */
public interface ElementHandler {

    /**
     *  Report whether an instance accepts named element types.
     *  @param  uri The namespace URI for the document type.
     *  @param  localName   The local name of the element to check.
     *  @return <code>true</code> if this type is capable of handling the
     *          specified element.
     */
    boolean acceptElement(final String uri,
                          final String localName);

}
