package com.mkdoc.sax;

/*
    Created:    2005-02-15
    Issued:     2005-02-15
    Modified:   2005-02-15

    Author:     Philip Shaw <phil@mkdoc.com>
    Copyright:  (c) 2005 MKDoc Ltd.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
*/

import org.openrdf.model.Graph;
import org.openrdf.model.URI;

import org.xml.sax.Attributes;

/**
 *  An element handler that writes N-Triples.
 *  @version    0.1 2005-02-15
 *  @author     Philip Shaw <phil@mkdoc.com>
 */
public interface ElementRdfWriter extends ElementHandler {

    /**
     *  Add statements to an RDF graph for a source URI.
     *  @param  sourceUri   The URI for the source document.
     *  @param  attributes  The element attribute set to process.
     *  @param  graph   An RDF graph to add the statements to.
     *  @since  Version 0.1 2005-02-14
     */
    void addTriples(final URI sourceUri,
                    final Attributes attributes,
                    final Graph graph);


}
