package com.mkdoc.store;

/*
    Created:    2005-05-31
    Issued:     2005-05-31
    Modified:   2005-05-31

    Author:     Philip Shaw <phil@mkdoc.com>
    Copyright:  (c) 2005 MKDoc Ltd.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA
*/

import java.io.OutputStream;

import java.net.URL;

/**
 *  A interface for file system managers.
 *  @version    0.1 2005-05-31
 *  @author     Philip Shaw <phil@mkdoc.com>
 */
public interface FileStoreManager extends Manager {

    /**
     *  Issue a stream to which output can be passed directly.
     *  <p>
     *    <em>Temporary measure to adapt plugin <code>writeFile</code>
     *    methods.</em>
     *  </p>
     *  @param  subject The subject of the RDF statements.
     *  @return An output stream to write RDF statements to.
     *  @exception  StoreException  If an error occurs with the triple store.
     *  @since  Version 0.1 2005-05-31
     */
    OutputStream getOutputStream(final URL subject) throws StoreException;

}

